For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
      • GETGet all projects in a workspace
      • POSTCreate a project
      • GETGet project
      • PATCHUpdate a project
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceProjects

Update a project

|View as Markdown|Open in Claude|
PATCH
https://api.prolific.com/api/v1/projects/:project_id/
PATCH
/api/v1/projects/:project_id/
$curl -X PATCH https://api.prolific.com/api/v1/projects/62fce6fff0a78eb4f3ebc09c/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "My updated project",
> "description": "This project is for..."
>}'
1{
2 "id": "62fce6fff0a78eb4f3ebc09c",
3 "title": "My updated project",
4 "type": "PRIVATE",
5 "description": "This project is for...",
6 "owner": "60a42f4c693c29420793cb73",
7 "public_details": null,
8 "users": [
9 {
10 "id": "60a42f4c693c29420793cb73",
11 "name": "Joe Soap",
12 "email": "joe.soap@gmail.com",
13 "roles": [
14 "PROJECT_EDITOR"
15 ]
16 }
17 ],
18 "workspace": "60a42f4c693c29420793cb73",
19 "naivety_distribution_rate": 0.5
20}

Update a project’s details. Public projects support partial updates to public_details. Once a public project has published studies, public_details.title can no longer be changed.

Was this page helpful?
Previous

Get project

Next

Surveys

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

project_idstringRequired
Project id

Request

This endpoint expects an object.
titlestringOptional
Name of project
descriptionstringOptional
What is this project used for
ownerstringOptional
User id of the creator of the project.
positionintegerOptional
Position of the project within a workspace.
hiddenbooleanOptional
Whether the project is hidden in workspace listings.
typeenumOptional
Project visibility type.
Allowed values:
public_detailsobjectOptional

Public metadata for PUBLIC projects. Omit to leave unchanged.

is_sequentialbooleanOptional
Whether the project is configured as sequential.

Response

Updated project redirect link
idstring
Project id. It is created by Prolific.
titlestring
Name of project
typeenum
Project visibility type.
Allowed values:
descriptionstring
What is this project used for
ownerstring
User id of the creator of the project. It is created by Prolific.
public_detailsobject or null

Public metadata for PUBLIC projects. null for PRIVATE projects.

userslist of objects
Data for all users who have access to this project
workspacestring
Id of the workspace this project is in. This is created by Prolific.
naivety_distribution_ratedouble or null0-1Deprecated
The rate at which the studies within this project are distributed.

Errors

4XX
Client Request Error

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.